﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TidyCmd
{
    /// <summary>
    /// Front end 'command line' program to open source Tidy Library 
    /// provided under MIT license. See License in Tidy.cs
    /// 
    /// TidyCmd created by Dennis Lang.
    /// Author: Dennis Lang - 2014
    /// http://home.comcast.net/~lang.dennis/    
    /// 
    /// ========== License ==========
    /// This file is part of TidyCmd.
    ///
    /// TidyCmd is free software: you can redistribute it and/or modify
    /// it under the terms of the GNU General Public License as published by
    /// the Free Software Foundation, either version 3 of the License, or
    /// (at your option) any later version.
    ///
    /// TidyCmd is distributed in the hope that it will be useful,
    /// but WITHOUT ANY WARRANTY; without even the implied warranty of
    /// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    /// GNU General Public License for more details.
    ///
    /// The GNU General Public License: <http://www.gnu.org/licenses/>.
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            ConsoleColor conFgColor = System.Console.ForegroundColor;
            try
            {
                TidyCmd tidyCmd = new TidyCmd(args);
            }
            catch (Exception ex)
            {
                Console.ForegroundColor = ConsoleColor.Red;
                Console.Error.WriteLine("Exception - " + ex.Message);
            }
            Console.ForegroundColor = conFgColor;
        }
    }
}
