﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TidyNetLib.tidy
{
    /// <summary>
    ///  May 27, 2011 by Jason Shuler
    /// http://www.shulerent.com/2011/05/27/sortedset-wrapper-for-net-3-5/
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class SortedSet<T> : SortedList<T, byte>
    {
        public SortedSet()
            : base()
        {
        }

        public SortedSet(SortedSet<T> otherSet)
            : base(otherSet)
        {
        }

        public T Min
        {
            get
            {
                if ((base.Count) >= 1)
                {
                    return base.Keys[0];
                }
                else
                {
                    return default(T);
                }
            }
        }

        public T Max
        {
            get
            {
                if ((base.Count) >= 1)
                {
                    return base.Keys[base.Keys.Count - 1];
                }
                else
                {
                    return default(T);
                }
            }
        }

        public bool Contains(T value)
        {
            return base.ContainsKey(value);
        }

        public void Add(T value)
        {
            base.Add(value, 0);
        }

#if false
        public  IEnumerator<T> GetEnumerator()
        {
            return  this.Keys.GetEnumerator();
        }
#endif
    }
}
